<?php
session_start();
	
	if (isset($_POST['k1'])) {
	require_once('../wa_baza/wa_polacz.php');
	date_default_timezone_set('Europe/Warsaw');
	$id = $_SESSION['id']; // id user
	$nazwa = $_SESSION['nazwa'];  //nazwa user
		
	$zap = "UPDATE chat_online SET 
			last_time=NOW() WHERE id_user=$id";
	$wykonaj = mysqli_query($db, $zap);
	$zap = "SELECT id_user, name FROM chat_online WHERE timediff(NOW(), last_time)<8";
	$wynik_pobierz = mysqli_query($db, $zap);
	$lo = $wynik_pobierz->num_rows;
	$wynik = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
		{
			$wynik[] = $wiersz;
		}
	mysqli_close($db);
	$wynik_pobierz->free_result();
	echo 'Osób na czacie: '.$lo.'<br />';
	if ($lo>1) {
		for ($i=0; $i<$lo; $i++) {
			echo $wynik[$i][1].',&nbsp;&nbsp;&nbsp;';
		}
	} else {
		echo 'Jesteś tylko Ty';
	}
}

?>